from rocolib.api.components.Component import Component

c = Component()

c.addSubcomponent("boat","SimpleUChannel", inherit=("depth", "length","width"))
c.addSubcomponent("bow","BoatPoint", inherit="point")
c.addSubcomponent("stern","BoatPoint", inherit="point")

c.join(("boat", "top"), ("bow", "edge")) #can't be addConnection because that gives ValueError: Edge boat.r0.e0 of length 20.000000 cannot merge with edge bow.sl.e1 of length 25.000000.
c.join(("boat", "bot"), ("stern", "edge"))

c.inheritInterface("portedge", ("boat", "ledge"))
c.inheritInterface("staredge", ("boat", "redge"))

c.toLibrary("BoatBase")
